Bug 232076 - [NEW PORT] cad/lepton-eda: Lepton Electronic Design Automation
Summary: [NEW PORT] cad/lepton-eda: Lepton Electronic Design Automation
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias Kortkamp
URL: https://github.com/lepton-eda/lepton-eda
Keywords: feature
Depends on:
Blocks:
 
Reported: 2018-10-08 16:46 UTC by dmn
Modified: 2019-02-23 15:06 UTC (History)
1 user (show)

See Also:


Attachments
svn diff for the new port (106.12 KB, patch)
2018-10-08 16:46 UTC, dmn
no flags Details | Diff
svn diff for lepton-eda-1.9.6 (106.18 KB, patch)
2018-11-02 14:26 UTC, dmn
no flags Details | Diff
New version: Lepton EDA Release 1.9.7 (Dec 11, 2018) (106.18 KB, patch)
2018-12-13 17:37 UTC, dmn
no flags Details | Diff
Lepton EDA Release 1.9.7 - port files amended (114.49 KB, patch)
2019-02-23 12:48 UTC, dmn
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description dmn 2018-10-08 16:46:13 UTC
Created attachment 197919 [details]
svn diff for the new port

Lepton EDA is a fork of the gEDA/gaf suite.
It's compatible with gEDA, fixes many bugs and contains new features:
https://github.com/lepton-eda/lepton-eda
Comment 1 dmn 2018-11-02 14:26:20 UTC
Created attachment 198885 [details]
svn diff for lepton-eda-1.9.6

New version of Lepton EDA is out: 1.9.6
Comment 2 dmn 2018-12-13 17:37:34 UTC
Created attachment 200085 [details]
New version: Lepton EDA Release 1.9.7 (Dec 11, 2018)

Changelog: https://github.com/lepton-eda/lepton-eda/blob/master/NEWS.md
Comment 3 Tobias Kortkamp freebsd_committer 2019-02-07 10:27:36 UTC
It fails to configure with the NLS option off:

===>  Configuring for lepton-eda-1.9.7
Can't exec "autopoint": No such file or directory at /usr/local/share/autoconf-2.69/Autom4te/FileUtils.pm line 345.
autoreconf-2.69: failed to run autopoint: No such file or directory
autoreconf-2.69: autopoint is needed because this package uses Gettext
*** Error code 1

The build also seems to call groff during the build, so please add
USES=groff.

+CPPFLAGS+=	-I${LOCALBASE}/include
+LDFLAGS+=	-L${LOCALBASE}/lib

Can you use USES=localbase or USES=localbase:ldflags instead?

+DOCSDIR=	${PREFIX}/share/doc/${PORTNAME}
+DATADIR=	${PREFIX}/share/${PORTNAME}

This is what they are set to by default.  Please remove them.

+%%PORTDOCS%%%%DOCSDIR%%/examples/README

All of these should go into EXAMPLESDIR instead.

A comment like

# Avoid error during stage:
# Cannot find 'install  -m 0644'; You probably want to pass -x $(INSTALL_DATA)

above pre-build would help to clarify what you're doing there :)
Comment 4 dmn 2019-02-09 17:42:34 UTC
Tobias, thank you very much for the review! This is my first port, and you suggestions and comments are of great help to me.
I'll fix the port as soon as possible and upload the patch here.
Do I have to notify you somehow when that is done?

Regards,
Dmitry.

P.S. FWIW, I'm working on lepton-eda port for FreeBSD on github:
https://github.com/graahnul-grom/freebsd-lepton-eda
Comment 5 Tobias Kortkamp freebsd_committer 2019-02-23 04:03:17 UTC
(In reply to dmn from comment #4)
> Do I have to notify you somehow when that is done?

No, just uploading the updated patch here should be enough.  Then hopefully me
or someone from the ports team will take care of it.
Comment 6 dmn 2019-02-23 12:48:04 UTC
Created attachment 202287 [details]
Lepton EDA Release 1.9.7 - port files amended
Comment 7 commit-hook freebsd_committer 2019-02-23 13:50:15 UTC
A commit references this bug:

Author: tobik
Date: Sat Feb 23 13:49:29 UTC 2019
New revision: 493674
URL: https://svnweb.freebsd.org/changeset/ports/493674

Log:
  New port: cad/lepton-eda

  The Lepton EDA suite provides schematic capture, netlisting, bill
  of materials generation, and many other features.  It was forked
  from the gEDA/gaf suite in late 2016.  It's in active development
  and well supported.

  WWW: https://github.com/lepton-eda/lepton-eda

  PR:		232076
  Submitted by:	dmn <graahnul.grom@gmail.com>

Changes:
  head/cad/Makefile
  head/cad/lepton-eda/
  head/cad/lepton-eda/Makefile
  head/cad/lepton-eda/distinfo
  head/cad/lepton-eda/files/
  head/cad/lepton-eda/files/patch-examples_Makefile.am
  head/cad/lepton-eda/files/patch-examples_RF__Amp_Makefile.am
  head/cad/lepton-eda/files/patch-examples_RF__Amp_model_Makefile.am
  head/cad/lepton-eda/files/patch-examples_RF__Amp_sym_Makefile.am
  head/cad/lepton-eda/files/patch-examples_TwoStageAmp_Makefile.am
  head/cad/lepton-eda/files/patch-examples_gTAG_Makefile.am
  head/cad/lepton-eda/files/patch-examples_lightning__detector_Makefile.am
  head/cad/lepton-eda/files/patch-version.h
  head/cad/lepton-eda/pkg-descr
  head/cad/lepton-eda/pkg-plist
Comment 8 Tobias Kortkamp freebsd_committer 2019-02-23 13:50:36 UTC
Committed. Thanks! :-)

- Options DOCS NLS EXAMPLES IPV6 are always enabled by
  default in every port, so adding them to OPTIONS_DEFAULT is not
  necessary.
- Something like USES=localbase localbase:ldflags means that
  the second localbase:ldflags is a no-op and just noise, since
  Mk/Uses/localbase.mk was already included before.
Comment 9 dmn 2019-02-23 15:06:47 UTC
(In reply to Tobias Kortkamp from comment #8)

Thank you, Tobias!